Bug Hunting Session
Bug 58186 - EDITING: Navigator is not Updated, if a Chapter Move (in the navigator) is Undone in the document (with Undo)
Summary: EDITING: Navigator is not Updated, if a Chapter Move (in the navigator) is Un...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other Windows (All)
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: BSA target:6.0.0 target:5.4.4
Keywords:
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2012-12-12 11:31 UTC by Harald Koester
Modified: 2018-01-30 14:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example document (13.26 KB, application/vnd.oasis.opendocument.text)
2012-12-12 11:33 UTC, Harald Koester
Details
Example Document (13.26 KB, application/vnd.oasis.opendocument.text)
2012-12-12 11:36 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2012-12-12 11:31:08 UTC
Problem description: 

If you perform a move of a chapter with the Navigator, and afterwords undo this move, the content of the Navigator is not updated. You have to click into the document or double-click a heading in the Navigator in order to refresh the Navigator content.

I will add an attachment with an example. Perform the steps written in this document.

              
Operating System: Windows 7
Comment 1 Harald Koester 2012-12-12 11:33:40 UTC
Created attachment 71386 [details]
Example document
Comment 2 Harald Koester 2012-12-12 11:36:21 UTC
Created attachment 71387 [details]
Example Document
Comment 3 Harald Koester 2012-12-12 12:14:23 UTC
See also: bug 58187, bug 58189, bug 58191, bug 58192.
Comment 4 Cor Nouws 2013-03-30 23:25:15 UTC
Hi Harald

(In reply to comment #0)

> If you perform a move of a chapter with the Navigator, and afterwords undo
> this move, the content of the Navigator is not updated. 

So in the Navigator, you drag a chapter to another position
then you draw it back (or do you use the arrow buttons?)
then the Navigator is not updated ?

Sorry, I do not yet understand it :-)
Comment 5 Cor Nouws 2013-03-30 23:30:17 UTC
Sorry, now I see the detailed instructions in the document :-)
Set to new
Comment 6 ulkitz 2014-05-26 15:16:15 UTC
If I didn't miss anything, this works in master (ed3fd76b65b2a281effea55b8a55101a8b740aec).
Comment 7 Harald Koester 2015-01-12 20:48:58 UTC
Bug still exists in version 4.4.0.2.
Comment 8 QA Administrators 2016-01-17 20:01:38 UTC Comment hidden (obsolete)
Comment 9 Harald Koester 2016-01-18 12:27:48 UTC
Bug still exists in version 5.0.4 with Win7.
Comment 10 QA Administrators 2017-03-06 13:40:38 UTC Comment hidden (obsolete)
Comment 11 Harald Koester 2017-03-15 13:48:14 UTC
Bug still exists in version 5.3.0 (Win7).
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 12 Commit Notification 2017-11-06 09:22:12 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bee1daa15fedd3e27521dd66e7595c17087b6b3a

tdf#58186 Update Navigator after promote/demote undo

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-11-06 11:15:57 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fb9195131c194c59a3393454d2dfcf56935a337&h=libreoffice-5-4

tdf#58186 Update Navigator after promote/demote undo

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Harald Koester 2018-01-30 14:27:12 UTC
Checked with versions 5.4.3, 5.4.4, 6.0.0.3 (Win 10). As expected bug still exists in version 5.4.3 and is fixed in versions 5.4.4 and 6.0.0.3. Hence Bug closed. 
Thanks for fixing.